Uploaded image for project: 'Spark'
  1. Spark
  2. SPARK-30715

Upgrade fabric8 to 4.7.1 to support K8s 1.17

    XMLWordPrintableJSON

    Details

    • Type: Improvement
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 3.0.0
    • Fix Version/s: 3.0.0
    • Component/s: Kubernetes, Spark Core
    • Labels:
      None

      Description

      Fabric8 kubernetes-client introduced a regression in building Quantity values in 4.7.0.

      More info: https://github.com/fabric8io/kubernetes-client/issues/1953

      As part of this upgrade, creation of quantity objects should be changed in order to keep correctly parsing quantities with units.

       

        Attachments

          Activity

            People

            • Assignee:
              onursatici Onur Satici
              Reporter:
              onursatici Onur Satici
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: